# Contributing to Clarity

The Clarity project team welcomes contributions from the community. Together, we
can grow Clarity and make it a better design system.

Because Clarity provides everything from the abstract patterns of a design
system to the nitty-gritty implementation of accessibility for Angular components,
contributions to Clarity can take many forms, and each of them will correspond
to part of the full process. Generally speaking, contributions fit into one or
more of these categories:

- Reporting a bug or feature request see [Opening Issues and Reporting Bug Fixes](CONTRIBUTING_ISSUES.md).
- New design or update to an existing one: general patterns, components,
  and features, see [Contributing to Design](CONTRIBUTING_DESIGN.md).
- Implementation of an existing design and bug fixes (which might involve a
  design), see [Contributing to Development](CONTRIBUTING_DEVELOPMENT.md).
- Documentation. See [Contributing to Documentation](CONTRIBUTING_DOCUMENTATION.md).

Many contributions can fall into more than one of these categories at once but
it's important to split the contribution along these steps, to make sure each of
them is solid before moving on to the next. For instance, if you want to
contribute a brand new Angular component to Clarity you'll first need to go
through a design submission step, then you can move to the development
contribution process once the design has been finalized, and finally you can add
the corresponding documentation to the website.
